### Method

# Template TemplateLocator get_search_path

#### Declaration

    gchar**
    tmpl_template_locator_get_search_path (
      TmplTemplateLocator* self
    )

#### Description

Gets the current search path used by the template locator.

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of strings.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.